Bug 508452 - Review Request: rubygem-bacon - A ruby-based testing framework
Review Request: rubygem-bacon - A ruby-based testing framework
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-27 07:14 EDT by Lubomir Rintel
Modified: 2009-07-08 14:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-08 14:04:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2009-06-27 07:14:40 EDT
SPEC: http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-bacon-1.1.0-1.fc11.src.rpm
SRPM: http://v3.sk/~lkundrak/gdc-ruby-stack/SPECS/rubygem-bacon.spec

Description:

Bacon is a small and lightweigt RSpec clone, providing essential
spec framework features.
Comment 1 Mamoru TASAKA 2009-06-28 15:11:38 EDT
Assigning.
Comment 2 Mamoru TASAKA 2009-06-29 15:15:26 EDT
Well, basically okay, however 
- please consider to add %check section and execute some test program.
- perhaps %ruby_sitelib macro is not needed.
Comment 3 Lubomir Rintel 2009-06-29 18:07:29 EDT
Thanks!

New package (just done as you suggested; removed useless macro and added test run & its dependency):

SPEC:
http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-bacon-1.1.0-2.fc11.src.rpm
SRPM: http://v3.sk/~lkundrak/gdc-ruby-stack/SPECS/rubygem-bacon.spec
Comment 4 Lubomir Rintel 2009-06-29 18:07:59 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1442998
Comment 5 Mamoru TASAKA 2009-06-30 11:31:50 EDT
--------------------------------------------------------------
   This package (rubygem-bacon) is APPROVED by mtasaka
--------------------------------------------------------------
Comment 6 Lubomir Rintel 2009-07-08 11:49:57 EDT
New Package CVS Request
=======================
Package Name: rubygem-bacon
Short Description: A ruby-based testing framework
Owners: lkundrak
Branches: F-10 F-11 EL-5
Comment 7 Jason Tibbitts 2009-07-08 12:36:07 EDT
CVS done.
Comment 8 Lubomir Rintel 2009-07-08 14:04:53 EDT
Imported and built.
Thanks for review and CVS!

Note You need to log in before you can comment on or make changes to this bug.